# Changelog

All notable changes to this project will be documented in this file.


## [0.106] - 2023-07-14
- DBOARD-771 : Updated inventory provider APIs to include all sites even without nodes.

## [0.105] - 2023-06-16
- DBOARD-754 : Adding redis authentication.
- DBOARD-743 : Updated Poller Services caching.
- DBOARD-722 : Updated library versions.

## [0.104] - 2023-05-05
- DBOARD3-692: Created MIC data cache as part of Inventory Update process

## [0.103] - 2023-04-25
- bring branches, artifacts and release system back into consistency by making a new release

## [0.102] - 2023-04-25
- POL1-690: parse port speed as 400G for et-* interfaces

## [0.101] - 2023-03-28
- DBOARD3-713: MIC endpoint - only include services that are monitored in Geant NMS

## [0.100] - 2022-12-07
- POL1-646: Changed BRIAN interface description parsing to expect whitespace
- POL1-643: Added port_type field to interfaces to distinguish access/service

## [0.99] - 2022-10-18
- POL1-634: Changed to expect -LHCONE in description for BRIAN LHCONE dashboards

## [0.98] - 2022-10-17
- POL1-624: Changed GWS Direct config to support GTT as ISP

## [0.97] - 2022-09-26
- DBOARD3-643: Added contact info

## [0.96] - 2022-09-20
- DBOARD3-643: Added full FlexILS port support to classification

## [0.95] - 2022-09-07
- DBOARD3-669: Only add contacts from Related Services

## [0.94] - 2022-09-06
- DBOARD3-664: Added Planned Work email addresses to related-services 

## [0.93] - 2022-09-05
- POL1-533: Changed services api to include services with SIDs defined on ports
- DBOARD3-663: Updated source for contact list in notifications

## [0.92] - 2022-08-12
- REPORTING-312: Added NREN asn's to /msr/services response

## [0.91] - 2022-08-03
- REPORTING-311: Added /msr/asn-peers endpoint

## [0.90] - 2022-07-19
- REPORTING-297: Add /msr/mdvpn endpoint
- REPORTING-307: Add /msr/vpn-proxy endpoint

## [0.89] - 2022-07-01
- REPORTING-306: Add NREN/ASN map to inventory provider configuration

## [0.88] - 2022-06-22
- DBOARD3-596: Only include contacts with populated mail value
- LG-46: Showing 'in-service' routers only

## [0.87] - 2022-06-15
- POL1-526: added bgp all peerings endpoint for msr
- POL1-526: return list of BRIAN dashboard info (one for each customer)
- DBOARD3-571: added mic endpoint returning all interface / service data


## [0.86] - 2022-03-22
- POL1-552: neteng pop api
- POL1-571: poller/interfaces cache bug fix

## [0.85] - 2022-03-15
- POL1-569: return all services by default for BRIAN, not only monitored

## [0.84] - 2022-03-07
- DBOARD3-536: added /ping endpoint

## [0.83] - 2022-03-02
- DBOARD3-533: allow netconf configuration 'inactive' attribute (e.g. rt1.bra.sk)
- POL1-565: return non-monitored services in /msr/services

## [0.82] - 2022-02-24
- POL1-487: Made filtering for COPERNICUS dashboard more specific
- POL1-560: Added GBS_10G dashboard tag for circuits related to 10G Guaranteed Bandwidth Service

## [0.81] - 2022-02-17
- POL1-521: handle RPC timeout error properly, and log errors 

## [0.80] - 2022-02-16
- POL1-487: Adjusted filtering for COPERNICUS dashboard (no longer overrides customer names)

## [0.79] - 2022-02-14
- Reduced logged message length
- POL1-487: Added new filtering for COPERNICUS dashboard

## [0.78] - 2022-02-10
- DBOARD3-513: Enabled Chorded update
- POL1-530: Added msr/services endpoint

## [0.77] - 2021-12-03
- DBOARD3-493: added /neteng/location/equipment-name

## [0.76] - 2021-11-24
- DBOARD3-486: added `updated-started` timestamp to /version response

## [0.75] - 2021-09-30
- POL1-463: add per-host multicast subscription config
- POL1-432: added physical circuits to 'backbone' dashboard
- DBOARD3-462: added endpoint for TNMS node pair classification

## [0.74] - 2021-08-31
- corrected cache key from Inventory refresh

## [0.73] - 2021-08-23
- allow gui info/hints in gws direct interface config

## [0.72] - 2021-08-20
- additional logging

## [0.71] - 2021-08-20
- DBOARD3-433: fix missing classification data during Inventory refresh

## [0.70] - 2021-08-20
- DBOARD3-459: fix performance issue with /poller/interfaces
- POL1-483: add dashboard mappings to /poller/interfaces response
- POL1-479: add LAG/SRV_L3VPN to RE_PEER dashboards
- updated GWS direct data to support ipv6 creds

## [0.69] - 2021-06-30
- DBOARD3-444: Added related services to bundle member response

## [0.68] - 2021-06-30
- REPORTING-192: added /msr/bgp/peering-services

## [0.67] - 2021-06-24
- DBOARD3-448: pulled additional customers from CircuitCustomerRelation
- DBOARD3-449: add CORS headers to responses
- POL1-452: added /poller/gws/indirect
- POL1-453: config should contain 'CenturyLink' and not 'Century Link'

## [0.66] - 2021-06-09
- POL1-445: added /poller/gws/direct endpoint
- DBOARD3-445: bugfixes in /lg/routers/X endpoint

## [0.65] - 2021-05-28
- DBOARD3-438: Changed status of non-monitored services
- DBOARD3-439: initial LnetD endpoint


## [0.64] - 2021-05-19
- DBOARD3-303: Replace dependency on OpsDB with IMS

## [0.63] - 2021-04-01
- POL1-370: load & return lab interfaces for poller

## [0.62] - 2021-03-24
- POL1-392: added latch timestamp to version response

## [0.61] - 2021-03-05
- POL1-380: added /poller/speeds route

## [0.60] - 2021-03-04
- DBOARD3-409: ignore inactive peerings and interfaces
- DBOARD3-410: handle overlapping/duplicate subnets

## [0.59] - 2021-01-27
- DBOARD3-386: allow transfer-on-commit in netconf
- DBOARD3-384: added pivoted asn group info to bgp peer-info responses
- moved documentation into sphinx rst

## [0.58] - 2021-01-23
- DBOARD3-385: use cached netconf data in case of schema validation errors

## [0.57] - 2021-01-23
- DBOARD3-380: added snmp info to peer-info responses

## [0.56] - 2021-01-08
- DBOARD3-372: added snmp indexes to juniper-link-info responses

## [0.55] - 2020-12-08
- LGR-73: updated business logic for classifying LG routers public/internal

## [0.54] - 2020-10-07
- DBOARD3-334: peer-info classifier performance improvement

## [0.53] - 2020-09-23
- DBOARD3-328: fixed improper response when router is unknown

## [0.52] - 2020-09-07
- POL1-228 (and others):
  - allow /poller/interfaces to be called without an argument
  - removed /poller/services

## [0.51] - 2020-08-20
- POL1-137: add remaining service categories and test vectors

## [0.50] - 2020-08-14
- performance improvment for /poller/services

## [0.49] - 2020-08-13
- performance improvement for /data/interfaces
- refactored service category sorting for better testability

## [0.48] - 2020-07-02
- recover update gracefully in case of Kombu exceptions
- update for IMS api changes
- call otrs-exports in the web server thread, not as a celery task

## [0.47] - 2020-06-06
- bugfix when catching junos rpc exceptions

## [0.46] - 2020-06-05
- mitigation for redis network latency

## [0.45] - 2020-06-05
- DBOARD3-242: use cached netconf/snmp data when router is unavailable
- use celery events rather than status for logging errors & warnings
- added a monitoring process and api for exposing event messages

## [0.44] - 2020-06-03
- DBOARD3-284: accomodate IMS API updates
- DBOARD3-271: added customer-user weeding

## [0.43] - 2020-05-12
- added poller api response caching

## [0.42] - 2020-05-11
- DBOARD3-277: stop using Junos Space
- DBOARD3-244: add visible status details for update inventory processing
- DBOARD3-271: OTRS exports
- initial backend support for IMS

## [0.41] - 2020-04-17
- DBOARD3-199: allow extra configuration info for unmanaged interfaces

## [0.40] - 2020-03-12
- DBOARD3-270: preliminary msr support
- DBOARD3-272: support srx* office routers

## [0.39] - 2020-01-31
- LGR-73: expose routers with pop info so LG doesn't need to connect to opsdb

## [0.38] - 2020-01-17
- DBOARD3-234/DBOARD3-232: standardized location data in classifier responses

## [0.37] - 2020-01-03
- DBOARD3-220: make redis/sentinel socket timeouts configurable

## [0.36] - 2019-12-31
- DBOARD3-218: added project name to circuit info

## [0.35] - 2019-12-13
- POL1-135: added customer(user) info to service category api response

## [0.34] - 2019-12-11
- POL1-135: initial support for service category api
- DBOARD3-203: omit 'inactive' interfaces

## [0.33] - 2019-12-03
- Added Related Services for Infinera info

## [0.32] - 2019-11-20
- Ensured all Related Services are returned for juniper links

## [0.31] - 2019-11-07
- Added top-level-services to the related services
- Fix canonicalization error of v6 addresses

## [0.30] - 2019-10-30
- DBOARD3-173 No service name for critical alarm

## [0.29] - 2019-10-17
- DBOARD3-170 (don't return 404 for unrecognized peer addresses)
- removed filter on qfx* routers

## [0.28] - 2019-10-15
- added latch to version response

## [0.27] - 2019-10-14
- added some status flags to the latch structure

## [0.26] - 2019-10-12
- NOT SUITABLE FOR PRODUCTION!
- filter qfx* routers until space is synced with opsdb

## [0.25] - 2019-10-03
- propagate errors when waiting for tasks to complete

## [0.24] - 2019-10-03
- optimization, don't do aggressive pre-delete checking rebuilding

## [0.23] - 2019-10-03
- use redis pipelines where possible

## [0.22] - 2019-10-02
- return a skeleton response for unknown interfaces (DBOARD3-169)

## [0.21] - 2019-08-23
- added parsing of 'logical-systems' (DBOARD3-150)

## [0.20] - 2019-08-13
- included both v4 & v6 addresses in peering info

## [0.19] - 2019-07-19
- added flush & latch to /jobs/update
- improved address-to-interface lookup performance
- added top-level services to responses

## [0.18] - 2019-07-15
- current/next database latching

## [0.17] - 2019-07-01
- add all interfaces to poller/interfaces response
- always use config file for celery startup

## [0.16] - 2019-06-21
- flatten redis storage structure
- poller api
- classifier metadata api
- read snmp community string from netconf
- derive active router list from junosspace
- read most live info from netconf
- precompute cached list of ix public & vpn rr peers
- use external logging config file

## [0.15] - 2019-01-24
- added some routes for initial classifier support
- added basic replacement for findAffectedCircuits

## [0.14] - 2019-01-09
- added sample route for startup-only tasks
- added method for caching selected alarmsdb tables
- added caching of last known interface status from alarmsdb

## [0.13] - 2019-01-08
- added external inventory caching

## [0.12] - 2019-01-04
- added addresses to interface response
- put actual module number in version response

## [0.10/0.11]
- cache storage formatting bugfix
- logging levels configured from environment

## [0.9] - 2018-12-25
- use pyez/netconf for gathering juniper data

## [0.7/0.8] - 2018-12-15
- added static/* to release

## [0.6] - 2018-12-13
- added a static demo of juniper stuff
- added some route docs to README

## [0.5] - 2018-12-11
- added meaningful alarmsdb demo method
- added snmp index to interface data to support sensu, prometheus
- increased unit test coverage to 78%

## [0.4] - 2018-11-28
- added some further sample resources

## [0.3] - 2018-11-22
- basic opsdb, alarmsdb coms & test api

## [0.2] - 2018-11-16
- use celery for task management

## [0.1] - 2018-11-14
- initial skeleton
