import os
import pkg_resources
import sentry_sdk
from sentry_sdk.integrations.celery import CeleryIntegration


from celery import Celery, signals

app = Celery("app")
app.config_from_object("inventory_provider.tasks.config")


@signals.celeryd_init.connect
def init_sentry(**_kwargs):
    sentry_dsn = os.getenv('SENTRY_DSN')
    dist = pkg_resources.get_distribution('inventory-provider')
    if sentry_dsn:
        sentry_sdk.init(
            dsn=sentry_dsn,
            integrations=[CeleryIntegration(propagate_traces=True)],
            release=dist.version)
